Subject: Re: [PATCH] NET: Multiqueue network device support.

From: Ben Greear <[email-masked]>
Date: Tue, 12 Jun 2007 14:17:44 -0700

Jeff Garzik wrote:
> 
> If hardware w/ multiple queues will the capability for different MAC 
> addresses, different RX filters, etc. does it make sense to add that 
> below the net_device level?
> 
> We will have to add all the configuration machinery at the per-queue 
> level that already exists at the per-netdev level.

Perhaps the mac-vlan patch would be a good fit.  Currently it is all
software based, but if the hardware can filter on MAC, it can basically
do mac-vlan acceleration.  The mac-vlan devices are just like 'real' ethernet
devices, so they can be used with whatever schemes work with regular devices.

Thanks,
Ben

> 
>     Jeff
> 
> 
> 
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com